/* Copyright:  Z-Wave Europe GmbH, Created: 28-07-2017 12:06:04 */
/**
 * @overview The object with default icons.
 * @author Martin Vach
 */

/**
 * Configuration object
 * @class icon_data
 */
var icon_data = {
    cfgicons: {
        element: {
            icon: {
                door: {
                    level: {
                        open: 'door-open.png',
                        closed: 'door-closed.png'
                    }
                },
                window: {
                    level: {
                        down: 'window-down.png',
                        half: 'window-half.png',
                        up: 'window-up.png',
                        open: 'window-open.png',
                        closed: 'window-closed.png',
                        on: 'window-open.png',
                        off: 'window-closed.png'
                    }
                },
                switch: {
                    level: {
                        on: 'switch-on.png',
                        off: 'switch-off.png'
                    }
                },
                motion: {
                    level: {
                        on: 'motion-on.png',
                        off: 'motion-off.png'
                    }
                },
                blinds: {
                    level: {
                        down: 'blind-down.png',
                        half: 'blind-half.png',
                        up: 'blind-up.png'
                    }
                },
                multilevel: {
                    level: {
                        on: 'dimmer-on.png',
                        half: 'dimmer-half.png',
                        off: 'dimmer-off.png'
                    }
                },
                doorlockcontrol: {
                    default: 'lock-closed.png'
                },
                thermostat: {
                    default: 'thermostat.png'
                },
                energy: {
                    default: 'energy.png'
                },
                meter: {
                    default: 'meter.png'
                },
                temperature: {
                    default: 'temperature.png'
                },
                camera: {
                    default: 'camera.png'
                },
                smoke: {
                    level: {
                        on: 'smoke-on.png',
                        off: 'smoke-off.png'
                    }

                },
                alarm: {
                    level: {
                        on: 'alarm-on.png',
                        off: 'alarm-off.png'
                    }

                },
                battery: {
                    default: 'battery.png'
                },
                luminosity: {
                    default: 'luminosity.png'
                },
                humidity: {
                    default: 'humidity.png'
                },
                ultraviolet: {
                    default: 'ultraviolet.png'
                },
                barometer: {
                    default: 'barometer.png'
                },
                new: {
                    default: 'new.png'
                },
                CO_alarm: {
                    level: {
                        on: 'co-alarm-on.png',
                        off: 'co-alarm-off.png'
                    }

                },
                tamper: {
                    level: {
                        on: 'tamper-on.png',
                        off: 'tamper-off.png'
                    }

                },
                security: {
                    level: {
                        on: 'security-on.png',
                        pending: 'security-pending.png',
                        off: 'security-off.png',
                        alarmed: 'security-alarmed.png'
                    }
                },
                gesture: {
                    level: {
                        press: 'press.png',// pressed / gedrückt
                        hold: 'hold.png',// hold / gedrückt gehalten
                        release: 'release.png',// released / losgelassen
                        swipe_up: 'swipe-up.png',// swiped / berührt
                        swipe_down: 'swipe-down.png',// swiped / berührt
                        swipe_left: 'swipe-left.png',// swiped / berührt
                        swipe_right: 'swipe-right.png',// swiped / berührt
                        swipe_top_left_to_bottom_right: 'swipe-top-left-to-bottom-right.png',// swiped / berührt
                        swipe_top_right_to_bottom_left: 'swipe-top-right-to-bottom-left.png',// swiped / berührt
                        swipe_bottom_left_to_top_right: 'swipe-bottom-left-to-top-right.png',// swiped / berührt
                        swipe_bottom_right_to_top_left: 'swipe-bottom-right-to-top-left.png'// swiped / berührt
                    }

                }
            },
            deviceType: {
                switchControl: {
                    default: 'switch-control.png'
                }
            }
        }
    }
};
